// DemoDlg.h : header file
//

// AK960320: Added the line below
#include "connect.h"

/////////////////////////////////////////////////////////////////////////////
// CDemoAppDlg dialog


// AK960320: Added ", public PsConnection " to the line below
class CDemoAppDlg : public CDialog, public CPsConnection
{
// Construction
public:
	void FillVariableTree();
	virtual void NotifyUpdateValues(BOOL bFinal);
	virtual void NotifyOpenModel();
	CDemoAppDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDemoAppDlg)
	enum { IDD = IDD_DEMOAPP_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDemoAppDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual BOOL NotifyBeginSim();
	virtual void NotifyPauseOff();
	virtual void NotifyPauseOn();
	int m_iNormalDeathRatePar;
	int m_iNormalBirthRatePar;
	int m_iPopulationPar;
	int m_iCustomPar;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDemoAppDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnPlay();
	afx_msg void OnPause();
	afx_msg void OnPlaystep();
	afx_msg void OnStop();
	afx_msg void OnSetNormalBirthRate();
	afx_msg void OnSetNormalDeathRate();
	afx_msg void OnDblclkVarTree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnChangeVarName();
	//}}AFX_MSG

	// AK960320: Added line below. This is necessary to get notifications
   afx_msg LRESULT OnCopyData(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
private:
	CImageList m_Images;
};
